<template>
  <div class="DynamicRiskAnalysisContainer">
    <div class="listContainer clearfix">
      <div class="riskAnalysis commonTitle">
        <div class="topTitle">
          <i><img src="@/assets/img/riskMonitor/integrated/rightCons/titleRight.png" alt="" /></i>
          <div class="nameCh">
            <span>动态风险分析</span>
          </div>
          <div class="nameEn">
            <span>DYNAMIC RISK ANALYSIS</span>
          </div>
        </div>
        <div class="listMess">
          <div class="chartsList">
            <ul>
              <li v-for="(item,index) in chartsLists" :key="index">
                <GaugeMonitorEcharts :dataObj="item" :id="index" />
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import GaugeMonitorEcharts from "@/components/warnAnalysis/leftCharts/GaugeMonitorEcharts"
export default {
  name: 'DynamicRiskAnalysis',
  components: {
    GaugeMonitorEcharts
  },
  data() {
    return {
      chartsLists: []
    }
  },
  created() {
    this.init()
  },
  methods: {
    init(){
      this.chartsLists = [
        {
          name: '燃气',
          value: 67
        },
        {
          name: '内涝',
          value: 83
        },
        {
          name: '供水',
          value: 74
        },{
          name: '排水',
          value: 91
        },
        {
          name: '隧道',
          value: 89
        },
        {
          name: '热力',
          value: 93
        },
        // {
        //   name: '桥梁',
        //   value: 85
        // },
        // {
        //   name: '管廊',
        //   value: 82
        // }
      ]
    }
  }
}
</script>

<style lang="scss" scoped>
.DynamicRiskAnalysisContainer{
  width: 100%;
  height: 100%;
  .listContainer{
    width: 100%;
    height: 100%;
    .riskAnalysis{
      width: 100%;
      height: 100%;
      box-sizing: border-box;
      .topTitle{
        // margin-left: 138px;
        width: calc(100%);
        box-sizing: border-box;
        z-index: 999;
      }
      .listMess{
        width: 100%;
        height: 100%;
        padding: 70px 0 0 30px;
        box-sizing: border-box;
        position: absolute;
        left: 0;
        top: 0;
        z-index: 999;
        .chartsList{
          width: 100%;
          height: 100%;
          ul {
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: space-between;
            flex-wrap: wrap;
            align-content: flex-start;
            li{
              width: 33.33%;
              height: 50%;
              position: relative;
            }
          }
        }
      }
    }
  }

}
</style>
